package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizEquipmentWorkStandard;

/**
 * 设备实施作业标准 服务
 */
public interface IBizEquipmentWorkStandardService
{
    BizEquipmentWorkStandard selectBizEquipmentWorkStandardById(Long id);

    List<BizEquipmentWorkStandard> selectBizEquipmentWorkStandardList(BizEquipmentWorkStandard query);

    int insertBizEquipmentWorkStandard(BizEquipmentWorkStandard row);

    int updateBizEquipmentWorkStandard(BizEquipmentWorkStandard row);

    int deleteBizEquipmentWorkStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);

    int publish(Long id);

    int offline(Long id);
}
